API ReferenceChat API
Get User
Retrieves the [User](#schema_user) object for a valid identifier.
Path Parameters
id*string
User ID
Header Parameters
x-bot-id*string
Bot id
x-integration-id?string
Integration id
x-integration-alias?string
Integration alias
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/chat/users/string" \ -H "x-bot-id: string"{ "user": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "tags": { "property1": "string", "property2": "string" }, "name": "string", "pictureUrl": "string", "properties": { "property1": "string", "property2": "string" }, "attributes": { "property1": "string", "property2": "string" } }}{ "user": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "tags": { "property1": "string", "property2": "string" }, "name": "string", "pictureUrl": "string", "properties": { "property1": "string", "property2": "string" }, "attributes": { "property1": "string", "property2": "string" } }}Get State GET
Retrieves the [State](#schema_state) object for a valid identifier.
List Conversations GET
Retrieves a list of [Conversation](#schema_conversation) you’ve previously created. The conversations are returned in sorted order, with the most recent appearing first. The list can be filtered using [Tags](#tags).